Subject: Re: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 May 2021 16:12:26 +0300

> Date: Tue, 25 May 2021 12:58:59 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> Thanks for your feedback, a few comments before updating the patch:
> 
> >> The main added feature is that face resizing is now bounded (between 10 
> >> and 500).
> >
> > Hmm, the GCS frowns on arbitrary limits,
> >
> 
> What is "the GCS"?

GNU Coding Standards.

> > so perhaps we should have a defcustom to control the limits?
> >
> 
> I'd rather wait for a feature request to add a defcustom for this.  IMO 
> 10-500 is a reasonable range for that feature, 10 is really small and 500 
> is really huge.

We could avoid arguing about what's reasonable by providing an option.

Lars, WDYT?

> > Also, I wonder whether we should say "height of the default face's 
> > font", because this is what this actually does.  I'm not sure every user 
> > will understand the notion of the height of a face.
> >
> 
> I used "height" because it's what text-scale-{adjust,increase,decrease} 
> use.  Otherwise I would have used the word "size" indeed.  WDYT?

I prefer "size".

> >> +Buffer-local face adjustements remain in effect when global face 
> >> +adjustments are made.
> >
> > I don't think I understand what this means, so it would be good to 
> > clarify that.
> >
> 
> It means that if you C-x C-+ in a buffer B (buffer-local face adjustment), 
> and then C-x C-M-+, the buffer-local adjustment in B remains in effect, or 
> IOW that after C-x C-M-+ the buffer B will still have a larger font than 
> the other buffers.

I think what's missing is the last part you wrote, or some variant
thereof.  "Remains in effect" is ambiguous because it isn't clear
whether the absolute size remains in effect or the relative size does.